Sign In Register

How can we help you today?

Start a new topic
Answered

Error after upgrading to new SDK

Added the new SDK to my Unity 5 project and I'm getting the following:


"Assets/GameSparks/Platforms/IControlledTimer.cs(7.41): error CS0246: The type or namespace name 'IGameSparksTimer' could not be found. Are you missing a using directive or an assembly reference?"


Best Answer

Hi Jim


It seems importing V5 over a current V3 SDK leaves some artefacts that cause this issue. We are looking at this now. Removing the previous SDK and re-importing will resolve this.


Gabriel


Looks like there might have been some conflict between the two versions of the SDK. I'm attempting to resolve them now. :(

Answer

Hi Jim


It seems importing V5 over a current V3 SDK leaves some artefacts that cause this issue. We are looking at this now. Removing the previous SDK and re-importing will resolve this.


Gabriel

Hi, i'm getting this same error with the most recent SDK, even with a brand new project - just importing the package and doing nothing else.

ignore that last message - it does work on a new project. I keep getting it when trying to import the new package in my existing project though.

I'm getting this error even though I've only ever imported the V5.3.3 SDK when trying to build to PS4.

I'm getting this error even though I've only ever imported the V5.3.3 SDK when trying to build to PS4.

I have the same issue when trying to create a WebPlayer build. WebGL and iOS work just fine. Does not seem to be related to a previous version of the SDK being installed. Is there a solution?

I'm using the Unity GameSparks SDK v5.3.5.201

Hi Niels,


Can you submit a ticket for this issue ? The team will take a closer look at it once we have more details from you.


Thanks,

Liam

Login to post a comment